pidgin: _PurpleCipherOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleCipherOps Struct Reference

The operations of a cipher. More...

`#include <cipher.h>`

## Data Fields
void(* | set_option )(PurpleCipherContext *context, const gchar *name, void *value)
| The set option function.
void *(* | get_option )(PurpleCipherContext *context, const gchar *name)
| The get option function.
void(* | init )(PurpleCipherContext *context, void *extra)
| The init function.
void(* | reset )(PurpleCipherContext *context, void *extra)
| The reset function.
void(* | uninit )(PurpleCipherContext *context)
| The uninit function.
void(* | set_iv )(PurpleCipherContext *context, guchar *iv, size_t len)
| The set initialization vector function.
void(* | append )(PurpleCipherContext *context, const guchar *data, size_t len)
| The append data function.
gboolean(* | digest )(PurpleCipherContext *context, size_t in_len, guchar digest[], size_t *out_len)
| The digest function.
int(* | encrypt )(PurpleCipherContext *context, const guchar data[], size_t len, guchar output[], size_t *outlen)
| The encrypt function.
int(* | decrypt )(PurpleCipherContext *context, const guchar data[], size_t len, guchar output[], size_t *outlen)
| The decrypt function.
void(* | set_salt )(PurpleCipherContext *context, guchar *salt)
| The set salt function.
size_t(* | get_salt_size )(PurpleCipherContext *context)
| The get salt size function.
void(* | set_key )(PurpleCipherContext *context, const guchar *key)
| The set key function.
size_t(* | get_key_size )(PurpleCipherContext *context)
| The get key size function.
void(* | set_batch_mode )(PurpleCipherContext *context, PurpleCipherBatchMode mode)
| The set batch mode function.
PurpleCipherBatchMode(* | get_batch_mode )(PurpleCipherContext *context)
| The get batch mode function.
size_t(* | get_block_size )(PurpleCipherContext *context)
| The get block size function.
void(* | set_key_with_len )(PurpleCipherContext *context, const guchar *key, size_t len)
| The set key with length function.

## Detailed Description

The operations of a cipher.

Every cipher must implement one of these.

Definition at line 77 of file cipher.h.

## Field Documentation

## ◆ append

void(* _PurpleCipherOps::append) (PurpleCipherContext *context, const guchar *data, size_t len)

The append data function.

Definition at line 97 of file cipher.h.

## ◆ decrypt

int(* _PurpleCipherOps::decrypt) (PurpleCipherContext *context, const guchar data[], size_t len, guchar output[], size_t *outlen)

The decrypt function.

Definition at line 106 of file cipher.h.

## ◆ digest

gboolean(* _PurpleCipherOps::digest) (PurpleCipherContext *context, size_t in_len, guchar digest[], size_t *out_len)

The digest function.

Definition at line 100 of file cipher.h.

## ◆ encrypt

int(* _PurpleCipherOps::encrypt) (PurpleCipherContext *context, const guchar data[], size_t len, guchar output[], size_t *outlen)

The encrypt function.

Definition at line 103 of file cipher.h.

## ◆ get_batch_mode

PurpleCipherBatchMode(* _PurpleCipherOps::get_batch_mode) (PurpleCipherContext *context)

The get batch mode function.

Definition at line 124 of file cipher.h.

## ◆ get_block_size

size_t(* _PurpleCipherOps::get_block_size) (PurpleCipherContext *context)

The get block size function.

Definition at line 127 of file cipher.h.

## ◆ get_key_size

size_t(* _PurpleCipherOps::get_key_size) (PurpleCipherContext *context)

The get key size function.

Definition at line 118 of file cipher.h.

## ◆ get_option

void *(* _PurpleCipherOps::get_option) (PurpleCipherContext *context, const gchar *name)

The get option function.

Definition at line 82 of file cipher.h.

## ◆ get_salt_size

size_t(* _PurpleCipherOps::get_salt_size) (PurpleCipherContext *context)

The get salt size function.

Definition at line 112 of file cipher.h.

## ◆ init

void(* _PurpleCipherOps::init) (PurpleCipherContext *context, void *extra)

The init function.

Definition at line 85 of file cipher.h.

## ◆ reset

void(* _PurpleCipherOps::reset) (PurpleCipherContext *context, void *extra)

The reset function.

Definition at line 88 of file cipher.h.

## ◆ set_batch_mode

void(* _PurpleCipherOps::set_batch_mode) (PurpleCipherContext *context, PurpleCipherBatchMode mode)

The set batch mode function.

Definition at line 121 of file cipher.h.

## ◆ set_iv

void(* _PurpleCipherOps::set_iv) (PurpleCipherContext *context, guchar *iv, size_t len)

The set initialization vector function.

Definition at line 94 of file cipher.h.

## ◆ set_key

void(* _PurpleCipherOps::set_key) (PurpleCipherContext *context, const guchar *key)

The set key function.

Definition at line 115 of file cipher.h.

## ◆ set_key_with_len

void(* _PurpleCipherOps::set_key_with_len) (PurpleCipherContext *context, const guchar *key, size_t len)

The set key with length function.

Definition at line 130 of file cipher.h.

## ◆ set_option

void(* _PurpleCipherOps::set_option) (PurpleCipherContext *context, const gchar *name, void *value)

The set option function.

Definition at line 79 of file cipher.h.

## ◆ set_salt

void(* _PurpleCipherOps::set_salt) (PurpleCipherContext *context, guchar *salt)

The set salt function.

Definition at line 109 of file cipher.h.

## ◆ uninit

void(* _PurpleCipherOps::uninit) (PurpleCipherContext *context)

The uninit function.

Definition at line 91 of file cipher.h.

The documentation for this struct was generated from the following file:

- cipher.h